Bug 150780 - Calc Failed to re-enter a formula starting with +
Summary: Calc Failed to re-enter a formula starting with +
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.5.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.5.0 target:7.4.3 target:7.3.7
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks:
 
Reported: 2022-09-04 18:20 UTC by cafeplazay
Modified: 2022-10-24 22:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cafeplazay 2022-09-04 18:20:29 UTC
Description:
Failed to re-enter a formula starting with +

Put you in cell c6 the numerical value 2
Put you in cell c7 the numerical value 3
Go to cell c8 and press the keys "+", "up arrow", "+", "up arrow", "enter"
The value three will remain in c8
Repeat from c8 the introduction of the simple formula
try to put again "+", "up arrow", "+", "up arrow", "enter"
At the moment of pressing "+", instead of activating the formula mode, a "+" symbol is placed in cell c8
Using you = solves the problem of entering the formula, resulting in an elementary failure and causing a
awkward operation.

Steps to Reproduce:
1.Failed to re-enter a formula starting with +
2. Put you in cell c6 the numerical value 2 
3. Put you in cell c7 the numerical value 3
4. Go to cell c8 and press the keys "+", "up arrow", "+", "up arrow", "enter"
5. The value three will remain in c8
6. Repeat from c8 the introduction of the simple formula
try to put again "+", "up arrow", "+", "up arrow", "enter"
7. At the moment of pressing "+", instead of activating the formula mode, a "+" symbol is placed in cell c8
8. Using you = solves the problem of entering the formula, resulting in an elementary failure and causing a
awkward operation.
2.
3.

Actual Results:
At the moment of pressing "+", instead of activating the formula mode, a "+" symbol is placed in cell c8

Expected Results:
At the moment of pressing "+", instead of activating the formula mode, a "+" symbol is placed in cell c8


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 7.3.5.2 (x64) / LibreOffice Community
Build ID: 184fe81b8c8c30d8b5082578aee2fed2ea847c01
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: es-MX (es_MX); UI: es-ES
Calc: CL
Comment 1 Eike Rathke 2022-09-04 22:02:55 UTC
That's probably a fallout from https://git.libreoffice.org/core/commit/909cdd552199d35f7c10be0a8be370158aea0815 fixing bug 149589. Overtyping apparently leads to the same path as editing.. sigh..
Comment 2 LeroyG 2022-10-09 19:54:16 UTC
As expected, after step 4. I get "5" in C8.
And there is no problem when repeating (step 6).

Version: 7.3.3.1 / LibreOffice Community
Build ID: 30(Build:1)
CPU threads: 1; OS: Linux 5.14; UI render: default; VCL: gtk3
Locale: es-MX (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2022-10-22 22:24:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9d1d668a608cc5b406601c2f7f3d8581e8f47d1c

Resolves: tdf#150780 Overtyping is not editing

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-10-24 16:19:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/0b4b644fb5b1ccba1f77698a399b625f877ed8f9

Resolves: tdf#150780 Overtyping is not editing

It will be available in 7.3.8.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-10-24 16:19:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/cde779398e0924e77d630cbe3fbb71c0439939f7

Resolves: tdf#150780 Overtyping is not editing

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-10-24 18:25:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-7":

https://git.libreoffice.org/core/commit/15f5a11c2ada480e6a1ff67fb7e9a8c977824800

Resolves: tdf#150780 Overtyping is not editing

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.